<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/classes/useractionscomponent/actions/interact/expansionactionadminunpairkey.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d57/a02834_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionactionadminunpairkey.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d3/d57/a02834.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionActionAdminUnpairKey.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d2/d7a/a07366.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/d7a/a07366.html">ExpansionActionAdminUnpairKey</a>: ActionInteractBase</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d2/d7a/a07366.html#aeeec12c52f825dba5af7677a2bb3885f">   15</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d7a/a07366.html#aeeec12c52f825dba5af7677a2bb3885f">ExpansionActionAdminUnpairKey</a>()</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        m_StanceMask = DayZPlayerConstants.STANCEMASK_CROUCH | DayZPlayerConstants.STANCEMASK_ERECT;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d2/d7a/a07366.html#a33fcb21599749e564f9fa63b4e368bbf">   20</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d7a/a07366.html#a33fcb21599749e564f9fa63b4e368bbf">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        m_ConditionItem = <span class="keyword">new</span> CCINone;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        m_ConditionTarget = <span class="keyword">new</span> CCTNone;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d2/d7a/a07366.html#a4d3d9a05842cc2084be09a0bb05806df">   26</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d2/d7a/a07366.html#a4d3d9a05842cc2084be09a0bb05806df">GetText</a>()</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;#STR_EXPANSION_UNPAIR_KEY&quot;</span>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d2/d7a/a07366.html#a7a3a56fb9b3b6906558ebc07fc04bf96">   31</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/d7a/a07366.html#a7a3a56fb9b3b6906558ebc07fc04bf96">ActionCondition</a>( <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player, <a class="code hl_class" href="../../d1/de3/a04854.html">ActionTarget</a> target, <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> item )</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">if</span> ( !target || !player )</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_class" href="../../df/d0f/a05070.html">CarScript</a> car;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">if</span> ( !Class.CastTo( car, target.<a class="code hl_function" href="../../d1/de3/a04854.html#a1c5162ed30e842ad5b561579a40e7507">GetParentOrObject</a>() ) )</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        ExpansionCarAdminKey key;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">if</span> ( !Class.CastTo( key, player.GetItemInHands() ) )</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordflow">if</span> ( !car.<a class="code hl_function" href="../../df/d0f/a05070.html#a601e2747e9e8d4ce84af6bb9264bac9d">HasKey</a>() )</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d2/d7a/a07366.html#a34fb7158732c03fea6224bb5220b0928">   50</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d7a/a07366.html#a34fb7158732c03fea6224bb5220b0928">OnStartServer</a>( ActionData action_data )</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        super.OnStartServer( action_data );</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <a class="code hl_class" href="../../df/d0f/a05070.html">CarScript</a> car = <a class="code hl_class" href="../../df/d0f/a05070.html">CarScript</a>.Cast( action_data.m_Target.GetParentOrObject() );</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        array&lt; ExpansionCarKey &gt; keys = <span class="keyword">new</span> array&lt; ExpansionCarKey &gt;;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <a class="code hl_class" href="../../d1/d20/a07698.html">ExpansionCarKey</a>.GetKeysForVehicle( car, keys );</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; keys.Count(); ++i )</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            keys[i].Unpair( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetLog().AdminTools )</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d1/d07/a03482.html#a1eb9f973eaeefbb8868edb6e23ec9c77">GetLog</a>().<a class="code hl_function" href="../../d1/d6c/a04478.html#add340da6804cc9f46e54b1602451955a">PrintLog</a>(<span class="stringliteral">&quot;[AdminTools] Player \&quot;&quot;</span> + action_data.m_Player.GetIdentity().GetName() + <span class="stringliteral">&quot;\&quot; (id=&quot;</span> + action_data.m_Player.GetIdentity().GetId() + <span class="stringliteral">&quot; pos=&quot;</span> + action_data.m_Player.GetPosition() + <span class="stringliteral">&quot;)&quot;</span> + <span class="stringliteral">&quot; used the Admin CarKey to unpair &quot;</span> + car.GetType() + <span class="stringliteral">&quot; (id=&quot;</span> + car.<a class="code hl_function" href="../../df/d0f/a05070.html#a53fb52048a59643c936fc5aeee164211">GetVehiclePersistentIDString</a>() + <span class="stringliteral">&quot; pos=&quot;</span> + car.GetPosition() + <span class="stringliteral">&quot;)&quot;</span> );</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        car.<a class="code hl_function" href="../../df/d0f/a05070.html#af2a30d16ff787a13084997326ffbd981">ResetKeyPairing</a>();</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../d2/d7a/a07366.html#a524a1ade8be10522e2de742b48c311ca">   68</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/d7a/a07366.html#a524a1ade8be10522e2de742b48c311ca">CanBeUsedInRestrain</a>()</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>}</div>
<div class="ttc" id="aa03482_html_a1eb9f973eaeefbb8868edb6e23ec9c77"><div class="ttname"><a href="../../d1/d07/a03482.html#a1eb9f973eaeefbb8868edb6e23ec9c77">ExpansionSettings::GetLog</a></div><div class="ttdeci">ExpansionLogSettings GetLog(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a08737_source.html#l00234">expansionsettings.c:234</a></div></div>
<div class="ttc" id="aa03774_html"><div class="ttname"><a href="../../d7/d82/a03774.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/a00287_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03966_html"><div class="ttname"><a href="../../df/de5/a03966.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d29/a08947_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04478_html_add340da6804cc9f46e54b1602451955a"><div class="ttname"><a href="../../d1/d6c/a04478.html#add340da6804cc9f46e54b1602451955a">ExpansionLogSettings::PrintLog</a></div><div class="ttdeci">void PrintLog(string text)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/a00911_source.html#l00402">expansionlogsettings.c:402</a></div></div>
<div class="ttc" id="aa04854_html"><div class="ttname"><a href="../../d1/de3/a04854.html">ActionTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00016">actiontargets.c:17</a></div></div>
<div class="ttc" id="aa04854_html_a1c5162ed30e842ad5b561579a40e7507"><div class="ttname"><a href="../../d1/de3/a04854.html#a1c5162ed30e842ad5b561579a40e7507">ActionTarget::GetParentOrObject</a></div><div class="ttdeci">Object GetParentOrObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00021">actiontargets.c:21</a></div></div>
<div class="ttc" id="aa05070_html"><div class="ttname"><a href="../../df/d0f/a05070.html">CarScript</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dc3/a09307_source.html#l00016">carscript.c:17</a></div></div>
<div class="ttc" id="aa05070_html_a53fb52048a59643c936fc5aeee164211"><div class="ttname"><a href="../../df/d0f/a05070.html#a53fb52048a59643c936fc5aeee164211">CarScript::GetVehiclePersistentIDString</a></div><div class="ttdeci">string GetVehiclePersistentIDString()</div><div class="ttdoc">ID of the vehicle itself.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d9f/a09319_source.html#l00901">carscript.c:901</a></div></div>
<div class="ttc" id="aa05070_html_a601e2747e9e8d4ce84af6bb9264bac9d"><div class="ttname"><a href="../../df/d0f/a05070.html#a601e2747e9e8d4ce84af6bb9264bac9d">CarScript::HasKey</a></div><div class="ttdeci">bool HasKey()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d9f/a09319_source.html#l00931">carscript.c:931</a></div></div>
<div class="ttc" id="aa05070_html_af2a30d16ff787a13084997326ffbd981"><div class="ttname"><a href="../../df/d0f/a05070.html#af2a30d16ff787a13084997326ffbd981">CarScript::ResetKeyPairing</a></div><div class="ttdeci">void ResetKeyPairing()</div><div class="ttdoc">Only call this after all keys have been confirmed to be removed.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d9f/a09319_source.html#l00961">carscript.c:961</a></div></div>
<div class="ttc" id="aa07366_html"><div class="ttname"><a href="../../d2/d7a/a07366.html">ExpansionActionAdminUnpairKey</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d57/a02834_source.html#l00013">expansionactionadminunpairkey.c:14</a></div></div>
<div class="ttc" id="aa07366_html_a33fcb21599749e564f9fa63b4e368bbf"><div class="ttname"><a href="../../d2/d7a/a07366.html#a33fcb21599749e564f9fa63b4e368bbf">ExpansionActionAdminUnpairKey::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d57/a02834_source.html#l00020">expansionactionadminunpairkey.c:20</a></div></div>
<div class="ttc" id="aa07366_html_a34fb7158732c03fea6224bb5220b0928"><div class="ttname"><a href="../../d2/d7a/a07366.html#a34fb7158732c03fea6224bb5220b0928">ExpansionActionAdminUnpairKey::OnStartServer</a></div><div class="ttdeci">override void OnStartServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d57/a02834_source.html#l00050">expansionactionadminunpairkey.c:50</a></div></div>
<div class="ttc" id="aa07366_html_a4d3d9a05842cc2084be09a0bb05806df"><div class="ttname"><a href="../../d2/d7a/a07366.html#a4d3d9a05842cc2084be09a0bb05806df">ExpansionActionAdminUnpairKey::GetText</a></div><div class="ttdeci">override string GetText()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d57/a02834_source.html#l00026">expansionactionadminunpairkey.c:26</a></div></div>
<div class="ttc" id="aa07366_html_a524a1ade8be10522e2de742b48c311ca"><div class="ttname"><a href="../../d2/d7a/a07366.html#a524a1ade8be10522e2de742b48c311ca">ExpansionActionAdminUnpairKey::CanBeUsedInRestrain</a></div><div class="ttdeci">override bool CanBeUsedInRestrain()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d57/a02834_source.html#l00068">expansionactionadminunpairkey.c:68</a></div></div>
<div class="ttc" id="aa07366_html_a7a3a56fb9b3b6906558ebc07fc04bf96"><div class="ttname"><a href="../../d2/d7a/a07366.html#a7a3a56fb9b3b6906558ebc07fc04bf96">ExpansionActionAdminUnpairKey::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d57/a02834_source.html#l00031">expansionactionadminunpairkey.c:31</a></div></div>
<div class="ttc" id="aa07366_html_aeeec12c52f825dba5af7677a2bb3885f"><div class="ttname"><a href="../../d2/d7a/a07366.html#aeeec12c52f825dba5af7677a2bb3885f">ExpansionActionAdminUnpairKey::ExpansionActionAdminUnpairKey</a></div><div class="ttdeci">void ExpansionActionAdminUnpairKey()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d57/a02834_source.html#l00015">expansionactionadminunpairkey.c:15</a></div></div>
<div class="ttc" id="aa07698_html"><div class="ttname"><a href="../../d1/d20/a07698.html">ExpansionCarKey</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d90/a03056_source.html#l00013">expansioncaradminkey.c:14</a></div></div>
<div class="ttc" id="aa08737_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a08737_source.html#l00262">expansionsettings.c:262</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_403148263ee4e8f0781f7c219c37e738.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dir_73552948bc6e6c947ae98efa6ef1fc72.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_c3648096b79390b8f298110e534a6ba9.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_0df2f0f75bfab0aa29ae62af7848909b.html">dayzexpansion_vehicles</a></li><li class="navelem"><a class="el" href="../../dir_9d8a725e685d7e2e79ef3720909cf5b7.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_bdf590611e398cb162e788e5239471a6.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_bed0f916786f5b73767adc31cd2f6bb1.html">actions</a></li><li class="navelem"><a class="el" href="../../dir_c7b15e03556fbb96189670c7c298573c.html">interact</a></li><li class="navelem"><a class="el" href="../../d3/d57/a02834.html">expansionactionadminunpairkey.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
